Contenu | Rechercher | Menus

Annonce

Ubuntu 16.04 LTS
Commandez vos DVD et clés USB Ubuntu-fr !

Appel à contributeurs. Réunion pour la refonte du wiki lundi 26 juin

Si vous avez des soucis pour rester connecté, déconnectez-vous puis reconnectez-vous depuis ce lien en cochant la case
Me connecter automatiquement lors de mes prochaines visites.

#1 Le 19/03/2017, à 13:15

david974

Problème avec une version Linux + Problème nettoyage /boot

Bonjour, j'expose ci contre mon problème.

Lorsque j'allume mon PC, je reste bloqué sur un écran violet et la led de ma touche verr. maj. clignote. Je suis obligé de redémarrer mon PC manuellement. Une fois redémarré j'arrive sur un écran violet avec écrit tout en haut "GNU GRUB version 2.02~beta2-36ubuntu3.7", il y a 3 sections différentes: "Ubuntu", "Options avancées pour ubuntu" et "System setup". En allant dans Options avancées pour ubuntu, il m'est impossible de lancer la version Linux 4.4.0-62-generic, qui est ma dernière version de Linux. Je suis obligé de lancer une ancienne version de Linux, soit Linux 4.4.0-53-generic, afin de pouvoir accéder à ma session et donc pouvoir utiliser mon PC normalement.
J'ai essayé de nettoyer mon /boot  et de faire les mises à jour pour remédier à ce problème, mais je n'y arrive pas.

Je fais donc appel à votre aide.
Merci d'avance,
David

Hors ligne

#2 Le 19/03/2017, à 15:57

jamesbad000

Re : Problème avec une version Linux + Problème nettoyage /boot

Bonjour.

Que donnes

sudo df -h
sudo dpkg-query -l *4.4.0-62*
sudo dpkg-query -l linux-headers-* linux-image-*  | grep ^ii

L'espace et le temps sont les modes par lesquels nous pensons, et non les conditions dans lesquelles nous vivons. (Signé Albert)

Hors ligne

#3 Le 19/03/2017, à 18:48

david974

Re : Problème avec une version Linux + Problème nettoyage /boot

oem@201512834:~$ sudo df -h
[sudo] Mot de passe de oem : 
Sys. de fichiers            Taille Utilisé Dispo Uti% Monté sur
udev                          2,9G       0  2,9G   0% /dev
tmpfs                         589M    9,2M  580M   2% /run
/dev/mapper/ubuntu--vg-root   913G    116G  751G  14% /
tmpfs                         2,9G     18M  2,9G   1% /dev/shm
tmpfs                         5,0M    4,0K  5,0M   1% /run/lock
tmpfs                         2,9G       0  2,9G   0% /sys/fs/cgroup
/dev/sda2                     237M    233M     0 100% /boot
/dev/sda1                     511M    3,6M  508M   1% /boot/efi
cgmfs                         100K       0  100K   0% /run/cgmanager/fs
tmpfs                         589M     72K  589M   1% /run/user/29999
oem@201512834:~$ sudo dpkg-query -l *4.4.0-62*
Souhait=inconnU/Installé/suppRimé/Purgé/H=à garder
| État=Non/Installé/fichier-Config/dépaqUeté/échec-conFig/H=semi-installé/W=attend-traitement-déclenchements
|/ Err?=(aucune)/besoin Réinstallation (État,Err: majuscule=mauvais)
||/ Nom            Version      Architecture Description
+++-==============-============-============-=================================
ii  linux-headers- 4.4.0-62.83  all          Header files related to Linux ker
ii  linux-headers- 4.4.0-62.83  amd64        Linux kernel headers for version 
iF  linux-image-4. 4.4.0-62.83  amd64        Linux kernel image for version 4.
iU  linux-image-ex 4.4.0-62.83  amd64        Linux kernel extra modules for ve
iU  linux-signed-i 4.4.0-62.83  amd64        Signed kernel image generic
oem@201512834:~$ sudo dpkg-query -l linux-headers-* linux-image-*  | grep ^ii
ii  linux-headers-4.4.0-47               4.4.0-47.68    all          Header files related to Linux kernel version 4.4.0
ii  linux-headers-4.4.0-47-generic       4.4.0-47.68    amd64        Linux kernel headers for version 4.4.0 on 64 bit x86 SMP
ii  linux-headers-4.4.0-51               4.4.0-51.72    all          Header files related to Linux kernel version 4.4.0
ii  linux-headers-4.4.0-51-generic       4.4.0-51.72    amd64        Linux kernel headers for version 4.4.0 on 64 bit x86 SMP
ii  linux-headers-4.4.0-53               4.4.0-53.74    all          Header files related to Linux kernel version 4.4.0
ii  linux-headers-4.4.0-53-generic       4.4.0-53.74    amd64        Linux kernel headers for version 4.4.0 on 64 bit x86 SMP
ii  linux-headers-4.4.0-62               4.4.0-62.83    all          Header files related to Linux kernel version 4.4.0
ii  linux-headers-4.4.0-62-generic       4.4.0-62.83    amd64        Linux kernel headers for version 4.4.0 on 64 bit x86 SMP
ii  linux-headers-4.4.0-67               4.4.0-67.88    all          Header files related to Linux kernel version 4.4.0
ii  linux-headers-4.4.0-67-generic       4.4.0-67.88    amd64        Linux kernel headers for version 4.4.0 on 64 bit x86 SMP
ii  linux-headers-generic                4.4.0.67.72    amd64        Generic Linux kernel headers
ii  linux-image-3.13.0-100-generic       3.13.0-100.147 amd64        Linux kernel image for version 3.13.0 on 64 bit x86 SMP
ii  linux-image-4.4.0-47-generic         4.4.0-47.68    amd64        Linux kernel image for version 4.4.0 on 64 bit x86 SMP
ii  linux-image-4.4.0-51-generic         4.4.0-51.72    amd64        Linux kernel image for version 4.4.0 on 64 bit x86 SMP
ii  linux-image-4.4.0-53-generic         4.4.0-53.74    amd64        Linux kernel image for version 4.4.0 on 64 bit x86 SMP
ii  linux-image-extra-3.13.0-100-generic 3.13.0-100.147 amd64        Linux kernel extra modules for version 3.13.0 on 64 bit x86 SMP
ii  linux-image-extra-4.4.0-47-generic   4.4.0-47.68    amd64        Linux kernel extra modules for version 4.4.0 on 64 bit x86 SMP
ii  linux-image-extra-4.4.0-51-generic   4.4.0-51.72    amd64        Linux kernel extra modules for version 4.4.0 on 64 bit x86 SMP

voilà ce que ça donne


Modération : merci à l'avenir d'utiliser les balises code (explications ici).

Dernière modification par cqfd93 (Le 19/03/2017, à 19:32)

Hors ligne

#4 Le 19/03/2017, à 20:35

jamesbad000

Re : Problème avec une version Linux + Problème nettoyage /boot

La partition boot est pleine comme un oeuf à cause des vieux kernel :

/dev/sda2                     237M    233M     0 100% /boot

La commande ci-dessous va faire le ménage en ne conservant que les 2 dernières versions. Et doit normalement finaliser l'installation du dernier kernel qui n'a pas trouvé assez de place dans /boot

sudo apt-get -y autoremove

L'espace et le temps sont les modes par lesquels nous pensons, et non les conditions dans lesquelles nous vivons. (Signé Albert)

Hors ligne

#5 Le 20/03/2017, à 06:43

david974

Re : Problème avec une version Linux + Problème nettoyage /boot

oem@201512834:~$ sudo apt-get -y autoremove
[sudo] Mot de passe de oem : 
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Vous pouvez lancer « apt-get -f install » pour corriger ces problèmes.
Les paquets suivants contiennent des dépendances non satisfaites :
 linux-image-extra-4.4.0-67-generic : Dépend: linux-image-4.4.0-67-generic mais il n'est pas installé
 linux-signed-image-4.4.0-67-generic : Dépend: linux-image-4.4.0-67-generic (= 4.4.0-67.88) mais il n'est pas installé
N: « 50unattended-upgrades.ucf-dist » dans le répertoire « /etc/apt/apt.conf.d/ » a été ignoré car il utilise une extension non valable
E: Dépendances manquantes. Essayez d'utiliser l'option -f.

malheureusement j'ai déjà essayé cela, et ça ne marche pas


Modération - Rappel : merci à l'avenir d'utiliser les balises code (explications ici).

Dernière modification par cqfd93 (Le 20/03/2017, à 10:30)

Hors ligne

#6 Le 20/03/2017, à 09:41

jplemoine

Re : Problème avec une version Linux + Problème nettoyage /boot

david974 a écrit :

et ça ne marche pas

Avec autant de précision, on ne peut qu'être désolé pour toi sans pouvoir faire grand chose..
Est-ce que la fourniture, par tes soins, d'un retour en bonne et due forme de la dite commande serait dans le domaine du possible ?


Cordialement, Jean-Philippe.
Système principal Sous Ubuntu de 2009 à février 2015 - Xubuntu depuis.
Xubuntu 16.04 (poste principal portable) - Ubuntu 16.04 server (desktop converti en serveur DHCP, DNS, dépôt local et supervision (shinken))
Membre de l'ALDIL (Association Lyonnaise pour le Développement de l'Informatique Libre)

Hors ligne

#7 Le 20/03/2017, à 10:44

jamesbad000

Re : Problème avec une version Linux + Problème nettoyage /boot

ca a l'air un peu plus compliqué que prévu. Que donnes

sudo dpkg-query -l *4.4.0-67*

Et merci d'utiliser les balises codes, comme indiqué plus haut par le modérateur !


L'espace et le temps sont les modes par lesquels nous pensons, et non les conditions dans lesquelles nous vivons. (Signé Albert)

Hors ligne

#8 Le 20/03/2017, à 10:53

cqfd93

Re : Problème avec une version Linux + Problème nettoyage /boot

Bonjour,

Apt est bloqué donc pas étonnant que autoremove ne marche pas. Il faut commencer à faire de la place dans /boot à la main et bien sûr voir déjà ce que /boot contient.

Hors ligne

#9 Le 21/03/2017, à 00:50

jamesbad000

Re : Problème avec une version Linux + Problème nettoyage /boot

Bon inutile que je vois la liste détaillée des paquets en fin de compte. Avec la commande ci-dessous on devrait avoir la peau des paquets bancales.

apt-get -y remove $(echo $(dpkg-query -W --showformat='${Package} ${Status}\n' linux-*-4.4.0-67* linux-*-4.4.0-62*  | cut -d' ' -f1))

Si ça fonctionne, refaire ensuite un coup de

sudo apt-get -y autoremove

L'espace et le temps sont les modes par lesquels nous pensons, et non les conditions dans lesquelles nous vivons. (Signé Albert)

Hors ligne

#10 Le 21/03/2017, à 10:34

cqfd93

Re : Problème avec une version Linux + Problème nettoyage /boot

Bonjour,

apt étant bloqué, je pense que ces deux commandes apt-get… sont vouées à l'échec. Il faut donc lister le contenu de /boot :

ls /boot -l

et y supprimer des gros fichiers à la main.

Hors ligne

#11 Le 21/03/2017, à 11:18

jplemoine

Re : Problème avec une version Linux + Problème nettoyage /boot

Sylvie, C'est pas rigolo si tu donnes la réponse....
Envoyer des commandes apt sur un apt bloqué, j'aurais bien aimé voir les réponses.
C'est pas comme si depuis des années, on renvoie au "tuto de tiramiseb" (qui dans le cas d'un /boot séparé ne donne pas la "bonne" solution mais qui permet de comprendre).
ou voir des dizaines, centaines voire milliers de posts à ce sujet où l'on explique que c'est la chose à ne pas faire...


Cordialement, Jean-Philippe.
Système principal Sous Ubuntu de 2009 à février 2015 - Xubuntu depuis.
Xubuntu 16.04 (poste principal portable) - Ubuntu 16.04 server (desktop converti en serveur DHCP, DNS, dépôt local et supervision (shinken))
Membre de l'ALDIL (Association Lyonnaise pour le Développement de l'Informatique Libre)

Hors ligne

#12 Le 21/03/2017, à 11:36

cqfd93

Re : Problème avec une version Linux + Problème nettoyage /boot

jplemoine a écrit :

Sylvie, C'est pas rigolo si tu donnes la réponse....
Envoyer des commandes apt sur un apt bloqué, j'aurais bien aimé voir les réponses.

Ah Jean-Philippe wink Tu remarqueras qu'entre mes deux messages, à 24 heures d'intervalle, je n'ai donné qu'une seule commande, je me retiens wink
Mais attendons le retour de david974.

C'est pas comme si depuis des années, on renvoie au "tuto de tiramiseb" (qui dans le cas d'un /boot séparé ne donne pas la "bonne" solution mais qui permet de comprendre).
ou voir des dizaines, centaines voire milliers de posts à ce sujet où l'on explique que c'est la chose à ne pas faire...

On voit nettement moins cette erreur d'aiguillage maintenant, heureusement. On a beaucoup plus souvent de problèmes de /boot séparé et plein que de situations ou cet excellent tuto apporte la solution et l'explication.

Hors ligne

#13 Le 21/03/2017, à 11:43

david974

Re : Problème avec une version Linux + Problème nettoyage /boot

je n'ai pas fait la commande pour avoir la liste des paquets comme vous me l'avez indiqué, j'ai donc fait la commande pour avoir la peau des paquets bancales, voici ce que ça donne

oem@201512834:~$ apt-get -y remove $(echo $(dpkg-query -W --showformat='${Package} ${Status}\n' linux-*-4.4.0-67* linux-*-4.4.0-62*  | cut -d' ' -f1))
N: « 50unattended-upgrades.ucf-dist » dans le répertoire « /etc/apt/apt.conf.d/ » a été ignoré car il utilise une extension non valable
E: Impossible d'ouvrir le fichier verrou /var/lib/dpkg/lock - open (13: Permission non accordée)
E: Impossible de verrouiller le répertoire d'administration (/var/lib/dpkg/). Avez-vous les privilèges du superutilisateur ?

veuillez m'excuser si je n'utilise pas bien les démarches de votre forum, je suis nouveau sur ce forum

Dernière modification par david974 (Le 22/03/2017, à 14:46)

Hors ligne

#14 Le 21/03/2017, à 11:49

cqfd93

Re : Problème avec une version Linux + Problème nettoyage /boot

Je t'ai déjà donné deux fois le lien pour mettre les balises code, alors je te laisse les ajouter à ton message #13… Voilà une autre explication :

Ajout des balises à un texte existant :

  • Cliquer sur  le lien « Modifier » en bas à droite du message

  • Sélectionner le texte

  • Cliquer sur le <> de l'éditeur de message
    1471986854.png

Hors ligne

#15 Le 21/03/2017, à 13:53

Christophe C

Re : Problème avec une version Linux + Problème nettoyage /boot

Vous pouvez lancer « apt-get -f install » pour corriger ces problèmes.

Sinon il faudra qd même lancer à un moment un sudo apt-get -f install, sinon apt (ou plutôt l'OS) va continuer à brinquebaler.


XL-WALLPAPER - changeur de fonds d'écran libre et très léger pour Xfce et LXDE.

Hors ligne

#16 Le 21/03/2017, à 15:04

moko138

Re : Problème avec une version Linux + Problème nettoyage /boot

Je suis avec intérêt ce cas d'école !  smile


%NOINDEX%
Un utilitaire méconnu : ncdu

En ligne

#17 Le 21/03/2017, à 21:18

jamesbad000

Re : Problème avec une version Linux + Problème nettoyage /boot

david974 a écrit :

... j'ai donc fait la commande pour avoir la peau des paquets bancales, voici ce que ça donne

Ok, il manquait sudo devant. Donc recommence en ajoutant sudo au début de la ligne de commande.
Et met les balises codes s'il te plait, autrement je ne répondrais plus.


L'espace et le temps sont les modes par lesquels nous pensons, et non les conditions dans lesquelles nous vivons. (Signé Albert)

Hors ligne

#18 Le 21/03/2017, à 21:29

jamesbad000

Re : Problème avec une version Linux + Problème nettoyage /boot

moko a écrit :

Je suis avec intérêt ce cas d'école !

Non ce n'est pas un cas d'école. Car le cas d'école "partition boot pleine" se résoud simplement avec la première commande que j'ai donné. J'en sais quelque chose, vue que ça m'arrive au moins 10 fois par an.

cqfd93 a écrit :

Il faut commencer à faire de la place dans /boot à la main

Ici il y a des problèmes de dépendances de paquet. Et je vois pas comment supprimer des fichiers dans /boot pourrait le résoudre

linux-image-extra-4.4.0-67-generic : Dépend: linux-image-4.4.0-67-generic mais il n'est pas installé

+ ce truc vaseux

N: « 50unattended-upgrades.ucf-dist » dans le répertoire « /etc/apt/apt.conf.d/ » a été ignoré car il utilise une extension non val

quant à l'option -f j'ai encore jamais rencontré de cas ou on se sort d'un problème apt avec ça. Mais on pourra toujours essayer si apt-get remove échoue...

Dernière modification par jamesbad000 (Le 21/03/2017, à 22:15)


L'espace et le temps sont les modes par lesquels nous pensons, et non les conditions dans lesquelles nous vivons. (Signé Albert)

Hors ligne

#19 Le 21/03/2017, à 21:36

jplemoine

Re : Problème avec une version Linux + Problème nettoyage /boot

Je ne dirais qu'une seule chose : voir cette page.
Post #10 :

cqfd93 a écrit :

apt étant bloqué, je pense que ces deux commandes apt-get… sont vouées à l'échec.

Et donc, tu tentes de lancer les 2 commandes...
Mais tu as raison, avec un peu de chance, apt sera ensuite tellement bloqué, qu'il restera qu'une solution : la réinstallation !!! smile


Cordialement, Jean-Philippe.
Système principal Sous Ubuntu de 2009 à février 2015 - Xubuntu depuis.
Xubuntu 16.04 (poste principal portable) - Ubuntu 16.04 server (desktop converti en serveur DHCP, DNS, dépôt local et supervision (shinken))
Membre de l'ALDIL (Association Lyonnaise pour le Développement de l'Informatique Libre)

Hors ligne

#20 Le 21/03/2017, à 21:38

cqfd93

Re : Problème avec une version Linux + Problème nettoyage /boot

jamesbad000 a écrit :

Ici il y a des problèmes de dépendances de paquet. Et je vois pas comment supprimer des fichiers dans /boot pourrais le résoudre

Justement, apt ne peut pas travailler (finir d'installer / configurer) de noyau à cause de ce manque de place dans /boot et c'est pour ça qu'il signale un problème de dépendances, donc pour lui permettre de démêler les dépendances, il faut lui faire de la place dans /boot. Le forum est plein de ces sujets où /boot est plein et où on a débloqué la situation en faisant le ménager dans /boot. J'en ai un certain nombre à mon actif, jette un œil dans mon historique.

+ ce truc vaseux

N: « 50unattended-upgrades.ucf-dist » dans le répertoire « /etc/apt/apt.conf.d/ » a été ignoré car il utilise une extension non val

C'est juste un détail, un fichier à supprimer et c'est réglé. Ça aussi vu de nombreuses fois depuis la sortie de 16.04.

quant à l'option -f j'ai encore jamais rencontré de cas ou on se sort d'un problème apt avec ça. Mais on pourra toujours essayer si apt-get remove échoue...

Encore une fois, NON. Quand apt est bloqué (empêtré dans les dépendances), AUCUNE commande apt ne débloque la situation.

Hors ligne

#21 Le 22/03/2017, à 01:32

jamesbad000

Re : Problème avec une version Linux + Problème nettoyage /boot

Mortel...

Bon je remet les commandes suggérées plus haut et corrigées, parce que la c'est noyé dans la masse.

sudo apt-get -y remove $(echo $(dpkg-query -W --showformat='${Package} ${Status}\n' linux-*-4.4.0-67* linux-*-4.4.0-62*  | cut -d' ' -f1))
sudo apt-get -y autoremove

Et si ça ne fonctionne pas, il sera toujours temps de voir si ça va mieux en allant patouiller dans /boot...


L'espace et le temps sont les modes par lesquels nous pensons, et non les conditions dans lesquelles nous vivons. (Signé Albert)

Hors ligne

#22 Le 22/03/2017, à 10:36

jplemoine

Re : Problème avec une version Linux + Problème nettoyage /boot

jamesbad000 a écrit :

Et si ça ne fonctionne pas, il sera toujours temps de voir si ça va mieux en allant patouiller dans /boot...

Ne justement non. le risque est  qu'apt soit tellement bloqué que la seule solution possible soit la réinstallation.

Bon Sylvie, je crois qu'on est de trop dans cette discussion...
Pour ma part, je n'y posterai plus.


Cordialement, Jean-Philippe.
Système principal Sous Ubuntu de 2009 à février 2015 - Xubuntu depuis.
Xubuntu 16.04 (poste principal portable) - Ubuntu 16.04 server (desktop converti en serveur DHCP, DNS, dépôt local et supervision (shinken))
Membre de l'ALDIL (Association Lyonnaise pour le Développement de l'Informatique Libre)

Hors ligne

#23 Le 22/03/2017, à 10:58

cqfd93

Re : Problème avec une version Linux + Problème nettoyage /boot

jplemoine a écrit :

Bon Sylvie, je crois qu'on est de trop dans cette discussion...
Pour ma part, je n'y posterai plus.

C'est aussi mon avis !

Hors ligne

#24 Le 22/03/2017, à 11:38

moko138

Re : Problème avec une version Linux + Problème nettoyage /boot

jamesbad000 a écrit :
moko a écrit :

Je suis avec intérêt ce cas d'école !

Non ce n'est pas un cas d'école. Car le cas d'école "partition boot pleine" se résoud simplement (...)

Aussi bien, ce n'est pas la "partition boot pleine" que je considérais comme un cas d'école.
  - -

À tous :
Attention, le cas habituel se panache ici
- avec le "50unattended-upgrades.ucf-dist"
- et avec ceci : ./viewtopic.php?id=2006754.


%NOINDEX%
Un utilitaire méconnu : ncdu

En ligne

#25 Le 22/03/2017, à 14:49

david974

Re : Problème avec une version Linux + Problème nettoyage /boot

oem@201512834:~$ sudo apt-get -y remove $(echo $(dpkg-query -W --showformat='${Package} ${Status}\n' linux-*-4.4.0-67* linux-*-4.4.0-62*  | cut -d' ' -f1))
[sudo] Mot de passe de oem : 
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Le paquet « linux-image-4.4.0-67-generic » n'est pas installé, et ne peut donc être supprimé
Vous pouvez lancer « apt-get -f install » pour corriger ces problèmes :
Les paquets suivants contiennent des dépendances non satisfaites :
 linux-headers-generic : Dépend: linux-headers-4.4.0-67-generic mais ne sera pas installé
 linux-image-generic : Dépend: linux-image-4.4.0-62-generic mais ne sera pas installé
                       Dépend: linux-image-extra-4.4.0-62-generic mais ne sera pas installé
 linux-signed-image-generic : Dépend: linux-signed-image-4.4.0-67-generic mais ne sera pas installé
                              Dépend: linux-image-extra-4.4.0-67-generic mais ne sera pas installé
N: « 50unattended-upgrades.ucf-dist » dans le répertoire « /etc/apt/apt.conf.d/ » a été ignoré car il utilise une extension non valable
E: Dépendances non satisfaites. Essayez « apt-get -f install » sans paquet
(ou indiquez une solution).

voilà j'ai entré la commande comme indiqué par jamesbad000

Hors ligne